/// <reference types="node" />
import { Block as IBlock, BlockJSON, Channel, DecodedBlock, DecodedBlockJSON, ModuleMetadata, RegisteredSchemas } from './types';
export declare class BlockMethods {
    private readonly _channel;
    private readonly _schemas;
    private readonly _metadata;
    constructor(channel: Channel, registeredSchema: RegisteredSchemas, moduleMetadata: ModuleMetadata[]);
    get(id: Buffer | string): Promise<DecodedBlockJSON>;
    getByHeight(height: number): Promise<DecodedBlockJSON>;
    encode(input: DecodedBlock): Buffer;
    decode(input: Buffer | string): DecodedBlock;
    toJSON(block: DecodedBlock | IBlock): DecodedBlockJSON;
    fromJSON(block: BlockJSON | DecodedBlockJSON): DecodedBlock;
}
