/// <reference types="node" />
import { JSONObject } from './types';
export interface EventAttr {
    module: string;
    name: string;
    topics: Buffer[];
    index: number;
    height: number;
    data: Buffer;
}
type EventJSON = JSONObject<EventAttr>;
export declare class Event {
    private _index;
    private readonly _module;
    private readonly _name;
    private readonly _topics;
    private readonly _data;
    private readonly _height;
    constructor({ index, module, name, topics, data, height }: EventAttr);
    static fromBytes(value: Buffer): Event;
    id(): Buffer;
    setIndex(index: number): void;
    getBytes(): Buffer;
    keyPair(): {
        key: Buffer;
        value: Buffer;
    }[];
    toJSON(): EventJSON;
    toObject(): EventAttr;
    private _getIndexBytes;
    private _getAllProps;
}
export {};
