/// <reference types="node" />
import { StateDiff } from '../types';
import { DatabaseWriter } from './types';
interface GetResult {
    value?: Buffer;
    deleted: boolean;
}
export declare class CacheDB {
    private readonly _data;
    constructor();
    add(key: Buffer, value: Buffer): void;
    cache(key: Buffer, value: Buffer): void;
    set(key: Buffer, value: Buffer): void;
    get(key: Buffer): GetResult;
    del(key: Buffer): void;
    existAny(key: Buffer): boolean;
    exist(key: Buffer): boolean;
    getRange(start: Buffer, end: Buffer): {
        key: Buffer;
        value: Buffer;
    }[];
    copy(): CacheDB;
    finalize(batch: DatabaseWriter): StateDiff;
}
export {};
