/// <reference types="node" />
import { Batch } from '@liskhq/lisk-db';
import { dataStructures } from '@liskhq/lisk-utils';
import { StateStore } from './state_store';
import { StateDiff } from '../types';
import { DatabaseReader, DatabaseWriter } from './types';
export interface CurrentState {
    batch: Batch;
    diff: StateDiff;
    stateStore: StateStore;
}
export declare class SMTStore {
    private readonly _db;
    private readonly _data;
    constructor(db: DatabaseReader, data?: dataStructures.BufferMap<Buffer>);
    get(key: Buffer): Promise<Buffer>;
    set(key: Buffer, value: Buffer): Promise<void>;
    del(key: Buffer): Promise<void>;
    finalize(batch: DatabaseWriter): void;
    private _getKey;
}
