/// <reference types="node" />
import { BLS_SUPPORTED } from './bls_lib';
export { BLS_SUPPORTED };
export declare const generatePrivateKey: (ikm: Buffer) => Buffer;
export declare const getPublicKeyFromPrivateKey: (sk: Buffer) => Buffer;
export declare const validateKey: (pk: Buffer) => boolean;
export declare const popVerify: (pk: Buffer, proof: Buffer) => boolean;
export declare const popProve: (sk: Buffer) => Buffer;
export declare const signData: (tag: string, chainID: Buffer, data: Buffer, privateKey: Buffer) => Buffer;
export declare const verifyData: (tag: string, chainID: Buffer, data: Buffer, signature: Buffer, publicKey: Buffer) => boolean;
export declare const createAggSig: (publicKeysList: Buffer[], pubKeySignaturePairs: {
    publicKey: Buffer;
    signature: Buffer;
}[]) => {
    aggregationBits: Buffer;
    signature: Buffer;
};
export declare const verifyAggSig: (publicKeysList: Buffer[], aggregationBits: Buffer, signature: Buffer, tag: string, chainID: Buffer, message: Buffer) => boolean;
export declare const verifyWeightedAggSig: (publicKeysList: Buffer[], aggregationBits: Buffer, signature: Buffer, tag: string, chainID: Buffer, message: Buffer, weights: number[] | bigint[], threshold: number | bigint) => boolean;
export declare const getPrivateKeyFromPhraseAndPath: (phrase: string, path: string) => Promise<Buffer>;
