import { BasePluginEndpoint, PluginEndpointContext, BlockHeaderJSON } from 'lisk-sdk';
import { ChainConnectorStore } from './db';
import { AggregateCommitJSON, CCMsFromEventsJSON, ChainConnectorPluginConfig, LastSentCCMWithHeightJSON, SentCCUsJSON, ValidatorsDataJSON } from './types';
export declare class Endpoint extends BasePluginEndpoint {
    private _chainConnectorStore;
    private _config;
    load(config: ChainConnectorPluginConfig, store: ChainConnectorStore): void;
    getSentCCUs(_context: PluginEndpointContext): Promise<SentCCUsJSON>;
    getAggregateCommits(_context: PluginEndpointContext): Promise<AggregateCommitJSON[]>;
    getBlockHeaders(_context: PluginEndpointContext): Promise<BlockHeaderJSON[]>;
    getCrossChainMessages(_context: PluginEndpointContext): Promise<CCMsFromEventsJSON[]>;
    getLastSentCCM(_context: PluginEndpointContext): Promise<LastSentCCMWithHeightJSON>;
    getValidatorsInfoFromPreimage(_context: PluginEndpointContext): Promise<ValidatorsDataJSON[]>;
    authorize(context: PluginEndpointContext): Promise<{
        result: string;
    }>;
}
