/// <reference types="node" />
import { AggregateCommit, ChainAccount, ChainAccountJSON, ChannelData, ChannelDataJSON, BFTParameters, ProveResponse } from 'lisk-sdk';
import { BFTParametersJSON, CCMsFromEvents, CCMsFromEventsJSON, ProveResponseJSON, ValidatorsData } from './types';
interface BFTParametersWithoutGeneratorKey extends Omit<BFTParameters, 'validators'> {
    validators: {
        address: Buffer;
        bftWeight: bigint;
        blsKey: Buffer;
    }[];
}
export declare const getMainchainID: (chainID: Buffer) => Buffer;
export declare const aggregateCommitToJSON: (aggregateCommit: AggregateCommit) => {
    height: number;
    aggregationBits: string;
    certificateSignature: string;
};
export declare const ccmsFromEventsToJSON: (ccmsFromEvents: CCMsFromEvents) => CCMsFromEventsJSON;
export declare const validatorsHashPreimagetoJSON: (validatorsHashPreimage: ValidatorsData[]) => {
    certificateThreshold: string;
    validators: {
        address: string;
        bftWeight: string;
        blsKey: string;
    }[];
    validatorsHash: string;
}[];
export declare const channelDataToJSON: (channelData: ChannelData) => {
    messageFeeTokenID: Buffer;
    outbox: {
        appendPath: string[];
        size: number;
        root: string;
    };
    inbox: {
        appendPath: string[];
        size: number;
        root: string;
    };
    partnerChainOutboxRoot: string;
    minReturnFeePerByte: string;
};
export declare const channelDataJSONToObj: (channelData: ChannelDataJSON) => ChannelData;
export declare const chainAccountDataJSONToObj: (chainAccountJSON: ChainAccountJSON) => ChainAccount;
export declare const proveResponseJSONToObj: (proveResponseJSON: ProveResponseJSON) => ProveResponse;
export declare const bftParametersJSONToObj: (bftParametersJSON: BFTParametersJSON) => BFTParametersWithoutGeneratorKey;
export {};
