"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.posStakeParamsSchema = exports.forgerSyncSchema = exports.forgerInfoSchema = void 0;
exports.forgerInfoSchema = {
    $id: '/forger/info',
    type: 'object',
    properties: {
        totalProducedBlocks: {
            dataType: 'uint32',
            fieldNumber: 1,
        },
        totalReceivedFees: {
            dataType: 'uint64',
            fieldNumber: 2,
        },
        totalReceivedRewards: {
            dataType: 'uint64',
            fieldNumber: 3,
        },
        stakeReceived: {
            type: 'array',
            fieldNumber: 4,
            items: {
                type: 'object',
                required: ['address', 'amount'],
                properties: {
                    address: {
                        dataType: 'bytes',
                        fieldNumber: 1,
                    },
                    amount: {
                        dataType: 'uint64',
                        fieldNumber: 2,
                    },
                },
            },
        },
    },
    required: ['totalProducedBlocks', 'totalReceivedFees', 'totalReceivedRewards', 'stakeReceived'],
};
exports.forgerSyncSchema = {
    $id: '/forger/sync',
    type: 'object',
    required: ['syncUptoHeight'],
    properties: {
        syncUptoHeight: {
            dataType: 'uint32',
            fieldNumber: 1,
        },
    },
};
exports.posStakeParamsSchema = {
    $id: '/forger/pos/stake',
    type: 'object',
    required: ['stakes'],
    properties: {
        stakes: {
            type: 'array',
            minItems: 1,
            maxItems: 20,
            items: {
                type: 'object',
                required: ['validatorAddress', 'amount'],
                properties: {
                    validatorAddress: {
                        dataType: 'bytes',
                        fieldNumber: 1,
                        minLength: 20,
                        maxLength: 20,
                    },
                    amount: {
                        dataType: 'sint64',
                        fieldNumber: 2,
                    },
                },
            },
            fieldNumber: 1,
        },
    },
};
//# sourceMappingURL=schemas.js.map