"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Endpoint = void 0;
const lisk_sdk_1 = require("lisk-sdk");
const controllers = require("./controllers");
class Endpoint extends lisk_sdk_1.BasePluginEndpoint {
    init(state, apiClient) {
        this._state = state;
        this._client = apiClient;
    }
    async getTransactionStats(_context) {
        return controllers.transactions.getTransactionStats(this._client, this._state);
    }
    async getBlockStats(_context) {
        return controllers.blocks.getBlockStats(this._client, this._state);
    }
    async getNetworkStats(_context) {
        return controllers.network.getNetworkStats(this._client);
    }
    async getForkStats(_context) {
        return controllers.forks.getForkStats(this._state);
    }
}
exports.Endpoint = Endpoint;
//# sourceMappingURL=endpoint.js.map