"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.actionParamsSchema = exports.configSchema = void 0;
exports.configSchema = {
    $id: '#/plugins/lisk-report-misbehavior/config',
    type: 'object',
    properties: {
        clearBlockHeadersInterval: {
            type: 'integer',
            description: 'Frequency of cleaning up the outdated data in second.',
        },
        encryptedPrivateKey: {
            type: 'string',
            description: 'Encrypted private key of the account sending transaction',
        },
        defaultPassword: {
            type: 'string',
        },
        fee: {
            type: 'integer',
            description: 'The fee required to report misbehavior transaction.',
        },
    },
    required: [],
    default: {
        clearBlockHeadersInterval: 60000,
        encryptedPrivateKey: '',
        defaultPassword: '',
        fee: 100000000,
    },
};
exports.actionParamsSchema = {
    $id: '/lisk/reportMisbehavior/auth',
    type: 'object',
    required: ['password', 'enable'],
    properties: {
        password: {
            type: 'string',
        },
        enable: {
            type: 'boolean',
        },
    },
};
//# sourceMappingURL=schemas.js.map