"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateTransaction = void 0;
const lisk_validator_1 = require("@liskhq/lisk-validator");
const schema_1 = require("./schema");
const validateTransaction = (transactionObject, paramsSchema) => {
    const transactionObjectWithEmptyParameters = {
        ...transactionObject,
        params: Buffer.alloc(0),
    };
    lisk_validator_1.validator.validate(schema_1.baseTransactionSchema, transactionObjectWithEmptyParameters);
    if (!paramsSchema) {
        return undefined;
    }
    if (typeof transactionObject.params !== 'object' || transactionObject.params === null) {
        return new Error('Transaction object params must be of type object and not null');
    }
    lisk_validator_1.validator.validate(paramsSchema, transactionObject.params);
    return undefined;
};
exports.validateTransaction = validateTransaction;
//# sourceMappingURL=validate.js.map