"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InMemoryDB = void 0;
const error_1 = require("./error");
class InMemoryDB {
    constructor() {
        this._data = {};
    }
    async get(key) {
        const keyStr = key.toString('binary');
        const val = this._data[keyStr];
        if (!val) {
            throw new error_1.NotFoundError(`Key ${key.toString('hex')} does not exist`);
        }
        return val;
    }
    async set(key, value) {
        const keyStr = key.toString('binary');
        this._data[keyStr] = value;
    }
    async del(key) {
        const keyStr = key.toString('binary');
        delete this._data[keyStr];
    }
}
exports.InMemoryDB = InMemoryDB;
//# sourceMappingURL=inmemory_db.js.map