"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefixStore = void 0;
const error_1 = require("../error");
class PrefixStore {
    constructor(db, prefix) {
        this._db = db;
        this._prefix = prefix;
    }
    async get(key) {
        try {
            const value = await this._db.get(Buffer.concat([this._prefix, key]));
            return value;
        }
        catch (error) {
            if (error instanceof error_1.NotFoundError) {
                return undefined;
            }
            throw error;
        }
    }
    async set(key, value) {
        await this._db.set(Buffer.concat([this._prefix, key]), value);
    }
}
exports.PrefixStore = PrefixStore;
//# sourceMappingURL=prefix_store.js.map