import * as apiClient from '@liskhq/lisk-api-client';
import { Command } from '@oclif/core';
import { RegisteredSchema, ModuleMetadataJSON } from 'lisk-framework';
import { PromiseResolvedType } from '../../types';
interface BaseIPCClientFlags {
    readonly 'data-path'?: string;
    readonly pretty?: boolean;
}
export declare abstract class BaseIPCClientCommand extends Command {
    static flags: {
        'data-path': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        pretty: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    protected baseIPCClientFlags: BaseIPCClientFlags;
    protected _client: PromiseResolvedType<ReturnType<typeof apiClient.createIPCClient>> | undefined;
    protected _schema: RegisteredSchema;
    protected _metadata: ModuleMetadataJSON[];
    protected _dataPath: string;
    finally(): Promise<void>;
    init(): Promise<void>;
    printJSON(message?: Record<string, unknown>): void;
}
export {};
