"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportCommand = void 0;
const core_1 = require("@oclif/core");
const fs = require("fs-extra");
const base_ipc_client_1 = require("../base_ipc_client");
class ImportCommand extends base_ipc_client_1.BaseIPCClientCommand {
    async run() {
        var _a;
        const { flags } = await this.parse(ImportCommand);
        if (!this._client) {
            this.error('APIClient is not initialized.');
        }
        const fileData = fs.readJSONSync(flags['file-path']);
        for (const info of (_a = fileData.generatorInfo) !== null && _a !== void 0 ? _a : []) {
            await this._client.invoke('generator_setStatus', info);
        }
    }
}
ImportCommand.description = 'Import from <FILE>.';
ImportCommand.examples = [
    'generator:import --file-path ./my/path/genInfo.json',
    'generator:import --file-path ./my/path/genInfo.json --data-path ./data ',
];
ImportCommand.flags = {
    ...base_ipc_client_1.BaseIPCClientCommand.flags,
    'file-path': core_1.Flags.string({
        char: 'f',
        description: 'Path of the file to import from',
        required: true,
    }),
};
exports.ImportCommand = ImportCommand;
//# sourceMappingURL=import.js.map