import { Publisher, Subscriber, Router } from 'zeromq';
export declare abstract class IPCSocket {
    pubSocket: Publisher;
    subSocket: Subscriber;
    protected readonly _eventPubSocketPath: string;
    protected readonly _eventSubSocketPath: string;
    protected readonly _rpcSeverSocketPath: string;
    private _rpcServer?;
    private readonly _socketsDir;
    protected constructor(options: {
        socketsDir: string;
        name: string;
        externalSocket?: boolean;
    });
    get rpcServer(): Router;
    start(): Promise<void>;
    stop(): void;
}
