import { Block } from '@liskhq/lisk-chain';
import { BlockGenerateInput } from './generator';
import { ABI } from '../abi';
import { EngineConfig } from '../types';
export declare const BLOCKCHAIN_DB_NAME = "blockchain.db";
export declare class Engine {
    private readonly _abi;
    private readonly _config;
    private _consensus;
    private _generator;
    private _network;
    private _chain;
    private _bftModule;
    private _legacyChainHandler;
    private _rpcServer;
    private _logger;
    private _nodeDB;
    private _generatorDB;
    private _blockchainDB;
    private _legacyDB;
    private _chainID;
    constructor(abi: ABI, config: EngineConfig);
    generateBlock(input: BlockGenerateInput): Promise<Block>;
    start(): Promise<void>;
    stop(): Promise<void>;
    private _init;
    private _registerEventListeners;
    private _closeDB;
}
