/// <reference types="node" />
import { Batch, IterateOptions } from '@liskhq/lisk-db';
import { dataStructures } from '@liskhq/lisk-utils';
import { GeneratorDB } from './types';
interface KeyValue {
    key: Buffer;
    value: Buffer;
}
export declare class GeneratorStore {
    private readonly _db;
    private readonly _data;
    private readonly _prefix;
    constructor(db: GeneratorDB, prefix?: Buffer, data?: dataStructures.BufferMap<Buffer>);
    getGeneratorStore(moduleID: Buffer): GeneratorStore;
    get(key: Buffer): Promise<Buffer>;
    set(key: Buffer, value: Buffer): Promise<void>;
    iterate(options: IterateOptions): Promise<KeyValue[]>;
    finalize(batch: Batch): void;
    private _getKey;
}
export {};
