/// <reference types="node" />
import { TransactionPool } from '@liskhq/lisk-transaction-pool';
import { Transaction, BlockHeader, BlockAssets, Event } from '@liskhq/lisk-chain';
import { ABI } from '../../abi';
export declare class HighFeeGenerationStrategy {
    private readonly _abi;
    private readonly _pool;
    private readonly _constants;
    constructor({ abi, pool, maxTransactionsSize, }: {
        readonly abi: ABI;
        readonly pool: TransactionPool;
        readonly maxTransactionsSize: number;
    });
    getTransactionsForBlock(contextID: Buffer, header: BlockHeader, assets: BlockAssets): Promise<{
        transactions: Transaction[];
        events: Event[];
    }>;
}
