/// <reference types="node" />
import { Schema } from '@liskhq/lisk-codec';
import { LegacyBlock, LegacyBlockJSON, LegacyChainBracketInfo, LegacyBlockWithID, LegacyBlockHeaderWithID, LegacyTransactionJSON, LegacyBlockHeader } from './types';
interface LegacyBlockSchema {
    header: Schema;
    block: Schema;
}
export declare const blockSchemaMap: Record<number, LegacyBlockSchema>;
export declare const getBlockSchema: (version: number) => LegacyBlockSchema;
export declare const decodeBlock: (data: Buffer) => {
    block: LegacyBlockWithID;
    schema: LegacyBlockSchema;
};
export declare const decodeBlockHeader: (blockHeader: Buffer) => LegacyBlockHeaderWithID;
export declare const decodeBlockJSON: (data: Buffer) => {
    block: LegacyBlockJSON;
    schema: LegacyBlockSchema;
};
export declare const getLegacyTransactionJSONWithSchema: (data: Buffer) => {
    transaction: LegacyTransactionJSON;
    schema: Schema;
};
export declare const encodeBlock: (data: LegacyBlock) => Buffer;
export declare const encodeBlockHeader: (blockHeader: LegacyBlockHeader) => Buffer;
export declare const encodeLegacyChainBracketInfo: (data: LegacyChainBracketInfo) => Buffer;
export declare const decodeLegacyChainBracketInfo: (data: Buffer) => LegacyChainBracketInfo;
export {};
