import { Database } from '@liskhq/lisk-db';
import { RequestContext } from '../rpc/rpc_server';
import { LegacyBlockJSON, LegacyChainBracketInfoWithSnapshotBlockID, LegacyTransactionJSON } from './types';
import { Storage } from './storage';
import { LegacyConfig } from '../../types';
interface EndpointArgs {
    db: Database;
    legacyConfig: LegacyConfig;
}
export declare class LegacyEndpoint {
    [key: string]: unknown;
    readonly storage: Storage;
    private readonly _legacyConfig;
    constructor(args: EndpointArgs);
    getTransactionByID(context: RequestContext): Promise<LegacyTransactionJSON>;
    getTransactionsByBlockID(context: RequestContext): Promise<LegacyTransactionJSON[]>;
    getBlockByID(context: RequestContext): Promise<LegacyBlockJSON>;
    getBlockByHeight(context: RequestContext): Promise<LegacyBlockJSON>;
    getLegacyBrackets(_context: RequestContext): Promise<LegacyChainBracketInfoWithSnapshotBlockID[]>;
}
export {};
