/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface InvalidSignatureEventData {
    numberOfSignatures: number;
    mandatoryKeys: Buffer[];
    optionalKeys: Buffer[];
    failingPublicKey: Buffer;
    failingSignature: Buffer;
}
export declare const invalidSigDataSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        numberOfSignatures: {
            dataType: string;
            fieldNumber: number;
        };
        mandatoryKeys: {
            type: string;
            items: {
                dataType: string;
                minLength: number;
                maxLength: number;
            };
            fieldNumber: number;
        };
        optionalKeys: {
            type: string;
            items: {
                dataType: string;
                minLength: number;
                maxLength: number;
            };
            fieldNumber: number;
        };
        failingPublicKey: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        failingSignature: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
    };
};
export declare class InvalidSignatureEvent extends BaseEvent<InvalidSignatureEventData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            numberOfSignatures: {
                dataType: string;
                fieldNumber: number;
            };
            mandatoryKeys: {
                type: string;
                items: {
                    dataType: string;
                    minLength: number;
                    maxLength: number;
                };
                fieldNumber: number;
            };
            optionalKeys: {
                type: string;
                items: {
                    dataType: string;
                    minLength: number;
                    maxLength: number;
                };
                fieldNumber: number;
            };
            failingPublicKey: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            failingSignature: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
        };
    };
    error(ctx: EventQueuer, senderAddress: Buffer, data: InvalidSignatureEventData): void;
}
