/// <reference types="node" />
import { Transaction } from '@liskhq/lisk-chain';
import { VerificationResult } from '../../state_machine';
import { AuthAccount } from './stores/auth_account';
export declare const verifySignature: (chainID: Buffer, publicKey: Buffer, signature: Buffer, transactionBytes: Buffer, id: Buffer) => void;
export declare const verifyMultiSignatureTransaction: (chainID: Buffer, id: Buffer, account: AuthAccount, signatures: ReadonlyArray<Buffer>, transactionBytes: Buffer) => void;
export declare const verifySignatures: (transaction: Transaction, chainID: Buffer, account: AuthAccount) => void;
export declare const verifyNonce: (transaction: Transaction, senderAccount: AuthAccount) => VerificationResult;
export declare const getTransactionFromParameter: (transactionParameter: unknown) => Transaction;
