export declare const configSchema: {
    $id: string;
    type: string;
    properties: {
        factorMinimumRewardActiveValidators: {
            type: string;
            minimum: number;
        };
        tokenID: {
            type: string;
            format: string;
            minLength: number;
            maxLength: number;
        };
        offset: {
            type: string;
            minimum: number;
        };
        distance: {
            type: string;
            minimum: number;
        };
        brackets: {
            type: string;
            items: {
                type: string;
                format: string;
            };
        };
    };
    required: string[];
};
export declare const getExpectedValidatorRewardsRequestSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        validatorAddress: {
            type: string;
            format: string;
        };
    };
};
export declare const getExpectedValidatorRewardsResponseSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        blockReward: {
            type: string;
        };
        dailyReward: {
            type: string;
        };
        monthlyReward: {
            type: string;
        };
        yearlyReward: {
            type: string;
        };
    };
};
