"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStakeRewardActiveValidators = exports.getMinimalRewardActiveValidators = void 0;
const constants_1 = require("./constants");
const getMinimalRewardActiveValidators = (moduleConfig, defaultReward) => (defaultReward * BigInt(moduleConfig.factorMinimumRewardActiveValidators)) /
    constants_1.DECIMAL_PERCENT_FACTOR;
exports.getMinimalRewardActiveValidators = getMinimalRewardActiveValidators;
const getStakeRewardActiveValidators = async (context, validatorMethod, defaultReward, minimalRewardActiveValidators) => {
    const { validators } = await validatorMethod.getValidatorsParams(context);
    const numberOfActiveValidators = validators.reduce((prev, curr) => (curr.bftWeight > BigInt(0) ? prev + 1 : prev), 0);
    return BigInt(numberOfActiveValidators) * (defaultReward - minimalRewardActiveValidators);
};
exports.getStakeRewardActiveValidators = getStakeRewardActiveValidators;
//# sourceMappingURL=utils.js.map