/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
import { ChainAccount } from '../stores/chain_account';
export declare class ChainAccountUpdatedEvent extends BaseEvent<ChainAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            name: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            lastCertificate: {
                type: string;
                fieldNumber: number;
                required: string[];
                properties: {
                    height: {
                        dataType: string;
                        fieldNumber: number;
                    };
                    timestamp: {
                        dataType: string;
                        fieldNumber: number;
                    };
                    stateRoot: {
                        dataType: string;
                        minLength: number;
                        maxLength: number;
                        fieldNumber: number;
                    };
                    validatorsHash: {
                        dataType: string;
                        minLength: number;
                        maxLength: number;
                        fieldNumber: number;
                    };
                };
            };
            status: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, chainID: Buffer, data: ChainAccount): void;
}
