/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
import { TerminatedOutboxAccount } from '../stores/terminated_outbox';
export declare class TerminatedOutboxCreatedEvent extends BaseEvent<TerminatedOutboxAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            outboxRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            outboxSize: {
                dataType: string;
                fieldNumber: number;
            };
            partnerChainInboxSize: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, chainID: Buffer, data: TerminatedOutboxAccount): void;
}
