/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
import { TerminatedStateAccount } from '../stores/terminated_state';
export declare class TerminatedStateCreatedEvent extends BaseEvent<TerminatedStateAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            stateRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            mainchainStateRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            initialized: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, chainID: Buffer, data: TerminatedStateAccount): void;
}
