/// <reference types="node" />
import { BaseStore } from '../../base_store';
export interface OwnChainAccount {
    name: string;
    chainID: Buffer;
    nonce: bigint;
}
export declare const ownChainAccountSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        name: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        chainID: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        nonce: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class OwnChainAccountStore extends BaseStore<OwnChainAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            name: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            chainID: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            nonce: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    get storePrefix(): Buffer;
}
