"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisteredNamesStore = exports.registeredNamesSchema = void 0;
const base_store_1 = require("../../base_store");
const constants_1 = require("../constants");
exports.registeredNamesSchema = {
    $id: '/modules/interoperability/chainId',
    type: 'object',
    required: ['chainID'],
    properties: {
        chainID: {
            dataType: 'bytes',
            minLength: constants_1.CHAIN_ID_LENGTH,
            maxLength: constants_1.CHAIN_ID_LENGTH,
            fieldNumber: 1,
        },
    },
};
class RegisteredNamesStore extends base_store_1.BaseStore {
    constructor() {
        super(...arguments);
        this.schema = exports.registeredNamesSchema;
    }
    get storePrefix() {
        return constants_1.STORE_PREFIX;
    }
}
exports.RegisteredNamesStore = RegisteredNamesStore;
//# sourceMappingURL=registered_names.js.map