/// <reference types="node" />
import { BaseStore } from '../../base_store';
export interface TerminatedOutboxAccount {
    outboxRoot: Buffer;
    outboxSize: number;
    partnerChainInboxSize: number;
}
export interface TerminatedOutboxAccountJSON {
    outboxRoot: string;
    outboxSize: number;
    partnerChainInboxSize: number;
}
export declare const terminatedOutboxSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        outboxRoot: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        outboxSize: {
            dataType: string;
            fieldNumber: number;
        };
        partnerChainInboxSize: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class TerminatedOutboxStore extends BaseStore<TerminatedOutboxAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            outboxRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            outboxSize: {
                dataType: string;
                fieldNumber: number;
            };
            partnerChainInboxSize: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    get storePrefix(): Buffer;
}
