/// <reference types="node" />
import { BaseStore } from '../../base_store';
export interface TerminatedStateAccount {
    stateRoot: Buffer;
    mainchainStateRoot: Buffer;
    initialized?: boolean;
}
export interface TerminatedStateAccountJSON {
    stateRoot: string;
    mainchainStateRoot: string;
    initialized?: boolean;
}
export declare const terminatedStateSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        stateRoot: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        mainchainStateRoot: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        initialized: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class TerminatedStateStore extends BaseStore<TerminatedStateAccount> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            stateRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            mainchainStateRoot: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            initialized: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    get storePrefix(): Buffer;
}
