/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface ValidatorBannedEventData {
    address: Buffer;
    height: number;
}
export declare const validatorBannedDataSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        address: {
            dataType: string;
            fieldNumber: number;
            format: string;
        };
        height: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class ValidatorBannedEvent extends BaseEvent<ValidatorBannedEventData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            address: {
                dataType: string;
                fieldNumber: number;
                format: string;
            };
            height: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, data: ValidatorBannedEventData): void;
}
