"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidatorBannedEvent = exports.validatorBannedDataSchema = void 0;
const base_event_1 = require("../../base_event");
exports.validatorBannedDataSchema = {
    $id: '/pos/events/validatorBannedData',
    type: 'object',
    required: ['address', 'height'],
    properties: {
        address: {
            dataType: 'bytes',
            fieldNumber: 1,
            format: 'lisk32',
        },
        height: {
            dataType: 'uint32',
            fieldNumber: 2,
        },
    },
};
class ValidatorBannedEvent extends base_event_1.BaseEvent {
    constructor() {
        super(...arguments);
        this.schema = exports.validatorBannedDataSchema;
    }
    log(ctx, data) {
        this.add(ctx, data, [data.address]);
    }
}
exports.ValidatorBannedEvent = ValidatorBannedEvent;
//# sourceMappingURL=validator_banned.js.map