/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface ValidatorPunishedEventData {
    address: Buffer;
    height: number;
}
export declare const validatorPunishedDataSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        address: {
            dataType: string;
            fieldNumber: number;
            format: string;
        };
        height: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class ValidatorPunishedEvent extends BaseEvent<ValidatorPunishedEventData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            address: {
                dataType: string;
                fieldNumber: number;
                format: string;
            };
            height: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, data: ValidatorPunishedEventData): void;
}
