"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidatorPunishedEvent = exports.validatorPunishedDataSchema = void 0;
const base_event_1 = require("../../base_event");
exports.validatorPunishedDataSchema = {
    $id: '/pos/events/punishValidatorData',
    type: 'object',
    required: ['address', 'height'],
    properties: {
        address: {
            dataType: 'bytes',
            fieldNumber: 1,
            format: 'lisk32',
        },
        height: {
            dataType: 'uint32',
            fieldNumber: 2,
        },
    },
};
class ValidatorPunishedEvent extends base_event_1.BaseEvent {
    constructor() {
        super(...arguments);
        this.schema = exports.validatorPunishedDataSchema;
    }
    log(ctx, data) {
        this.add(ctx, data, [data.address]);
    }
}
exports.ValidatorPunishedEvent = ValidatorPunishedEvent;
//# sourceMappingURL=validator_punished.js.map