/// <reference types="node" />
import { BaseStore } from '../../base_store';
export interface GenesisData {
    height: number;
    initRounds: number;
    initValidators: Buffer[];
}
export declare const genesisDataStoreSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        height: {
            dataType: string;
            fieldNumber: number;
        };
        initRounds: {
            dataType: string;
            fieldNumber: number;
        };
        initValidators: {
            type: string;
            fieldNumber: number;
            items: {
                dataType: string;
                format: string;
            };
        };
    };
};
export declare class GenesisDataStore extends BaseStore<GenesisData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            height: {
                dataType: string;
                fieldNumber: number;
            };
            initRounds: {
                dataType: string;
                fieldNumber: number;
            };
            initValidators: {
                type: string;
                fieldNumber: number;
                items: {
                    dataType: string;
                    format: string;
                };
            };
        };
    };
}
