"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateDefaultReward = void 0;
const calculateDefaultReward = (config, height) => {
    if (height < config.offset) {
        return BigInt(0);
    }
    const rewardDistance = Math.floor(config.distance);
    const location = Math.trunc((height - config.offset) / rewardDistance);
    const lastBracket = config.brackets[config.brackets.length - 1];
    const bracket = location > config.brackets.length - 1 ? config.brackets.lastIndexOf(lastBracket) : location;
    return config.brackets[bracket];
};
exports.calculateDefaultReward = calculateDefaultReward;
//# sourceMappingURL=calculate_reward.js.map