/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface RewardMintedEventData {
    amount: bigint;
    reduction: number;
}
export declare const rewardMintedDataSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        amount: {
            dataType: string;
            fieldNumber: number;
        };
        reduction: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class RewardMintedEvent extends BaseEvent<RewardMintedEventData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            amount: {
                dataType: string;
                fieldNumber: number;
            };
            reduction: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, generatorAddress: Buffer, data: RewardMintedEventData): void;
}
