"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RewardMintedEvent = exports.rewardMintedDataSchema = void 0;
const base_event_1 = require("../../base_event");
exports.rewardMintedDataSchema = {
    $id: '/reward/events/rewardMintedData',
    type: 'object',
    required: ['amount', 'reduction'],
    properties: {
        amount: {
            dataType: 'uint64',
            fieldNumber: 1,
        },
        reduction: {
            dataType: 'uint32',
            fieldNumber: 2,
        },
    },
};
class RewardMintedEvent extends base_event_1.BaseEvent {
    constructor() {
        super(...arguments);
        this.schema = exports.rewardMintedDataSchema;
    }
    log(ctx, generatorAddress, data) {
        this.add(ctx, data, [generatorAddress]);
    }
}
exports.RewardMintedEvent = RewardMintedEvent;
//# sourceMappingURL=reward_minted.js.map