/// <reference types="node" />
export declare const CROSS_CHAIN_COMMAND_NAME_TRANSFER = "transferCrossChain";
export declare const ADDRESS_LENGTH = 20;
export declare const MAX_DATA_LENGTH = 64;
export declare const MIN_MODULE_NAME_LENGTH = 1;
export declare const MAX_MODULE_NAME_LENGTH = 32;
export declare const MAX_TRANSACTION_AMOUNT = "9223372036854775807";
export declare const CCM_STATUS_OK = 0;
export declare const CCM_STATUS_TOKEN_NOT_SUPPORTED = 64;
export declare const CCM_STATUS_PROTOCOL_VIOLATION = 65;
export declare const MIN_RETURN_FEE_PER_BYTE_BEDDOWS: bigint;
export declare const CHAIN_ID_LENGTH = 4;
export declare const HASH_LENGTH = 32;
export declare const LOCAL_ID_LENGTH = 4;
export declare const TOKEN_ID_LENGTH: number;
export declare const LOCAL_ID_LSK: Buffer;
export declare const USER_ACCOUNT_INITIALIZATION_FEE: bigint;
export declare const ESCROW_ACCOUNT_INITIALIZATION_FEE: bigint;
export declare const defaultConfig: {
    userAccountInitializationFee: string;
    escrowAccountInitializationFee: string;
};
export declare const EMPTY_BYTES: Buffer;
export declare const enum TokenEventResult {
    SUCCESSFUL = 0,
    FAIL_INSUFFICIENT_BALANCE = 1,
    DATA_TOO_LONG = 2,
    INVALID_TOKEN_ID = 3,
    TOKEN_NOT_SUPPORTED = 4,
    INSUFFICIENT_LOCKED_AMOUNT = 5,
    RECOVER_FAIL_INVALID_INPUTS = 6,
    RECOVER_FAIL_INSUFFICIENT_ESCROW = 7,
    MINT_FAIL_NON_NATIVE_TOKEN = 8,
    MINT_FAIL_TOTAL_SUPPLY_TOO_BIG = 9,
    MINT_FAIL_TOKEN_NOT_INITIALIZED = 10,
    TOKEN_ID_NOT_AVAILABLE = 11,
    TOKEN_ID_NOT_NATIVE = 12,
    INSUFFICIENT_ESCROW_BALANCE = 13,
    INVALID_RECEIVING_CHAIN = 14
}
export type TokenErrorEventResult = Exclude<TokenEventResult, TokenEventResult.SUCCESSFUL>;
