/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface AllTokensFromChainSupportedEventData {
    chainID: Buffer;
}
export declare const allTokensFromChainSupportedEventSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        chainID: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
    };
};
export declare class AllTokensFromChainSupportedEvent extends BaseEvent<AllTokensFromChainSupportedEventData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            chainID: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, chainID: Buffer): void;
}
