/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
import { TokenEventResult, TokenErrorEventResult } from '../constants';
export interface BeforeCCCExecutionEventData {
    ccmID: Buffer;
    messageFeeTokenID: Buffer;
    relayerAddress: Buffer;
}
export declare const beforeCCCExecutionEventSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        ccmID: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        messageFeeTokenID: {
            dataType: string;
            minLength: number;
            maxLength: number;
            fieldNumber: number;
        };
        relayerAddress: {
            dataType: string;
            format: string;
            fieldNumber: number;
        };
        result: {
            dataType: string;
            fieldNumber: number;
        };
    };
};
export declare class BeforeCCCExecutionEvent extends BaseEvent<BeforeCCCExecutionEventData & {
    result: TokenEventResult;
}> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            ccmID: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            messageFeeTokenID: {
                dataType: string;
                minLength: number;
                maxLength: number;
                fieldNumber: number;
            };
            relayerAddress: {
                dataType: string;
                format: string;
                fieldNumber: number;
            };
            result: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    log(ctx: EventQueuer, data: BeforeCCCExecutionEventData): void;
    error(ctx: EventQueuer, data: BeforeCCCExecutionEventData, result: TokenErrorEventResult): void;
}
