"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenIDSupportedEvent = exports.tokenIDSupportedEventSchema = void 0;
const base_event_1 = require("../../base_event");
const constants_1 = require("../constants");
exports.tokenIDSupportedEventSchema = {
    $id: '/token/events/tokenIDSupported',
    type: 'object',
    required: ['tokenID'],
    properties: {
        tokenID: {
            dataType: 'bytes',
            minLength: constants_1.TOKEN_ID_LENGTH,
            maxLength: constants_1.TOKEN_ID_LENGTH,
            fieldNumber: 1,
        },
    },
};
class TokenIDSupportedEvent extends base_event_1.BaseEvent {
    constructor() {
        super(...arguments);
        this.schema = exports.tokenIDSupportedEventSchema;
    }
    log(ctx, tokenID) {
        this.add(ctx, { tokenID }, [tokenID]);
    }
}
exports.TokenIDSupportedEvent = TokenIDSupportedEvent;
//# sourceMappingURL=token_id_supported.js.map