"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenIDSupportRemovedEvent = exports.tokenIDSupportRemovedEventSchema = void 0;
const base_event_1 = require("../../base_event");
const constants_1 = require("../constants");
exports.tokenIDSupportRemovedEventSchema = {
    $id: '/token/events/tokenIDSupportRemoved',
    type: 'object',
    required: ['tokenID'],
    properties: {
        tokenID: {
            dataType: 'bytes',
            minLength: constants_1.TOKEN_ID_LENGTH,
            maxLength: constants_1.TOKEN_ID_LENGTH,
            fieldNumber: 1,
        },
    },
};
class TokenIDSupportRemovedEvent extends base_event_1.BaseEvent {
    constructor() {
        super(...arguments);
        this.schema = exports.tokenIDSupportRemovedEventSchema;
    }
    log(ctx, tokenID) {
        this.add(ctx, { tokenID }, [tokenID]);
    }
}
exports.TokenIDSupportRemovedEvent = TokenIDSupportRemovedEvent;
//# sourceMappingURL=token_id_supported_removed.js.map