"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupplyStore = exports.supplyStoreSchema = void 0;
const base_store_1 = require("../../base_store");
const constants_1 = require("../constants");
exports.supplyStoreSchema = {
    $id: '/token/store/supply',
    type: 'object',
    required: ['totalSupply'],
    properties: {
        totalSupply: {
            dataType: 'uint64',
            fieldNumber: 1,
        },
    },
};
class SupplyStore extends base_store_1.BaseStore {
    constructor() {
        super(...arguments);
        this.schema = exports.supplyStoreSchema;
    }
    async getAll(context) {
        return this.iterate(context, {
            gte: Buffer.alloc(constants_1.TOKEN_ID_LENGTH, 0),
            lte: Buffer.alloc(constants_1.TOKEN_ID_LENGTH, 255),
        });
    }
}
exports.SupplyStore = SupplyStore;
//# sourceMappingURL=supply.js.map