/// <reference types="node" />
import { BaseStore } from '../../base_store';
export interface ValidatorKeys {
    generatorKey: Buffer;
    blsKey: Buffer;
}
export declare const validatorKeysSchema: {
    $id: string;
    title: string;
    type: string;
    properties: {
        generatorKey: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
        blsKey: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
    };
    required: string[];
};
export declare class ValidatorKeysStore extends BaseStore<ValidatorKeys> {
    schema: {
        $id: string;
        title: string;
        type: string;
        properties: {
            generatorKey: {
                dataType: string;
                fieldNumber: number;
                minLength: number;
                maxLength: number;
            };
            blsKey: {
                dataType: string;
                fieldNumber: number;
                minLength: number;
                maxLength: number;
            };
        };
        required: string[];
    };
}
