/// <reference types="node" />
import { Event } from '@liskhq/lisk-chain';
interface RevertibleEvent {
    event: Event;
    noRevert: boolean;
}
export declare class EventQueue {
    private readonly _height;
    private readonly _events;
    private readonly _defaultTopics;
    constructor(height: number, events?: RevertibleEvent[], defaultTopics?: Buffer[]);
    add(module: string, name: string, data: Buffer, topics?: Buffer[], noRevert?: boolean): void;
    unsafeAdd(module: string, name: string, data: Buffer, topics?: Buffer[], noRevert?: boolean): void;
    getChildQueue(topicID: Buffer): EventQueue;
    createSnapshot(): number;
    restoreSnapshot(snapshotID: number): void;
    getEvents(): Event[];
}
export {};
