/// <reference types="node" />
import { Block, BlockHeader, Transaction, BlockHeaderAttrs, BlockAssets } from '@liskhq/lisk-chain';
interface CreateBlock {
    privateKey: Buffer;
    chainID: Buffer;
    timestamp: number;
    previousBlockID: Buffer;
    transactions?: Transaction[];
    header?: Partial<BlockHeader>;
    assets?: BlockAssets;
}
export declare const createBlockHeaderWithDefaults: (header?: Partial<BlockHeaderAttrs>) => BlockHeader;
export declare const createFakeBlockHeader: (header?: Partial<BlockHeaderAttrs>) => BlockHeader;
export declare const createBlock: ({ privateKey, chainID, timestamp, previousBlockID, transactions, assets, header, }: CreateBlock) => Promise<Block>;
export {};
